# IRfCharacterSet Interface Reference

Inherits IRsObject.

List of all members.

## Public Member Functions
HRESULT | Attach (IRsNode *pSkeletonNode)
HRESULT | Detach ()
HRESULT | AttachObjectToSkeleton (IRsNode *pObject)
HRESULT | ResolveSkeletonBoneIdConflicts ()
HRESULT | GetActiveSkeleton (IRsNode **ppSkeleton)
HRESULT | GetSkeletonObjUnderCursor (IRsNode *spSkeletonNode, RtPoint2f &ptPoint, IRsNode *pViewNode, IRsNode **ppPickedNode, RtUlong *pdwPickedFace, RtPoint *pptPickedWorldPos)

## Detailed Description

Character editor function set.

## Member Function Documentation

HRESULT IRfCharacterSet::Attach | ( | IRsNode * | pSkeletonNode | ) |

Attach skeleton to character editor fn set.

Parameters:

  | pSkeletonNode | [in] Skeleton node to attach.

HRESULT IRfCharacterSet::Detach | ( |  | ) |

Detach attached skeleton.

HRESULT IRfCharacterSet::AttachObjectToSkeleton | ( | IRsNode * | pObject | ) |

Attach object to skeleton.

- Make node dependent on skeleton transform and copy it to skeleton encapsulator.

Parameters:

  | pObject | [in] Mesh object to attach

HRESULT IRfCharacterSet::ResolveSkeletonBoneIdConflicts | ( |  | ) |

Resolve bone IDs conflicts which may occur by copying nodes in LE or using scripts to copy without adjusting bone IDs.

HRESULT IRfCharacterSet::GetActiveSkeleton | ( | IRsNode ** | ppSkeleton | ) |

Get current active skeleton node (currently edited or derived from first selected object)

Parameters:

  | ppSkeleton | Active skeleton

HRESULT IRfCharacterSet::GetSkeletonObjUnderCursor | ( | IRsNode * | spSkeletonNode,
|  | RtPoint2f & | ptPoint,
|  | IRsNode * | pViewNode,
|  | IRsNode ** | ppPickedNode,
|  | RtUlong * | pdwPickedFace,
|  | RtPoint * | pptPickedWorldPos |
| ) |  |  |

Get skeleton object below mouse cursor.

Parameters:

  | spSkeletonNode | [in] Skeleton node
  | ptPoint | [in] Screen space position
  | pViewNode | [in] View node
  | ppPickedNode | [out] Picked skeleton node
  | pdwPickedFace | [out] Picked skeleton node face
  | pptPickedWorldPos | [out] Picked skeleton node world space position